package com.bocloud.cmp.model;

/**
 * 存储卷模板modal
 *
 * @author luyanchao
 * @since 2019/1/24 16:17
 */
public class VolumeTemplateModel {
    private String uuid; // 唯一标识
    private String name; // 卷名称
    private String description; // 卷描述
    private Boolean isPublic; // isPublic
    private Boolean autoExpand; // 是否自动扩展
    private Boolean compress; // 是否压缩卷
    private String ioGroup; // 所属io组
    private String storageName; // 所属存储服务器
    private String poolName; // 所属存储池
    private Integer copyCount; // 拷贝数量
    private String copyPoolName; // 拷贝所属存储池
    private Boolean multipath;
    private Float capacityPercent; // 实际容量占虚拟容量的百分比
    private Float warningPercent; // 告警阈值占虚拟容量的百分比
    private Float grainsize; // 精简卷颗粒大小
    private String originName; // 初始名称，即创建该模板时填写的名称

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Boolean getIsPublic() {
        return isPublic;
    }

    public void setIsPublic(Boolean aPublic) {
        isPublic = aPublic;
    }

    public Boolean getAutoExpand() {
        return autoExpand;
    }

    public void setAutoExpand(Boolean autoExpand) {
        this.autoExpand = autoExpand;
    }

    public Boolean getCompress() {
        return compress;
    }

    public void setCompress(Boolean compress) {
        this.compress = compress;
    }

    public String getIoGroup() {
        return ioGroup;
    }

    public void setIoGroup(String ioGroup) {
        this.ioGroup = ioGroup;
    }

    public String getStorageName() {
        return storageName;
    }

    public void setStorageName(String storageName) {
        this.storageName = storageName;
    }

    public String getPoolName() {
        return poolName;
    }

    public void setPoolName(String poolName) {
        this.poolName = poolName;
    }

    public Integer getCopyCount() {
        return copyCount;
    }

    public void setCopyCount(Integer copyCount) {
        this.copyCount = copyCount;
    }

    public String getCopyPoolName() {
        return copyPoolName;
    }

    public void setCopyPoolName(String copyPoolName) {
        this.copyPoolName = copyPoolName;
    }

    public Boolean getMultipath() {
        return multipath;
    }

    public void setMultipath(Boolean multipath) {
        this.multipath = multipath;
    }

    public Float getCapacityPercent() {
        return capacityPercent;
    }

    public void setCapacityPercent(Float capacityPercent) {
        this.capacityPercent = capacityPercent;
    }

    public Float getWarningPercent() {
        return warningPercent;
    }

    public void setWarningPercent(Float warningPercent) {
        this.warningPercent = warningPercent;
    }

    public Float getGrainsize() {
        return grainsize;
    }

    public void setGrainsize(Float grainsize) {
        this.grainsize = grainsize;
    }

    public String getOriginName() {
        return originName;
    }

    public void setOriginName(String originName) {
        this.originName = originName;
    }
}
